ser(8)

NAME
ser - very fast and configurable sip proxy

SYNOPSIS
ser [ -hcrRvdDEVT ] [ -f config-file ] [ -l address ] [ -n processes-no ] [ -N tcp processes-no ] [ -b max_rcv_buf_size ] [ -m shared_mem_size ] [ -w working-dir ] [ -t chroot-dir ] [ -u uid ] [ -g gid ] [ -P pid-file ] [ -i fifo-path ] [ -x socket-path ]

DESCRIPTION
ser or Sip Express Router is a very fast and configurable SIP proxy.

OPTIONS

-h  Displays a short usage description, including all available options.

-c  Checks the config file and displays the aliases and listen interface list.

-r  Uses dns to check if it is necessary to add a "received=" field to a via.

-R  Same as -r but uses reverse dns.

-v  Turns on via host checking when forwarding replies.

-d  Turns on debugging, multiple -d increase the debug level.

-D  Runs ser in the foreground (it doesn't fork into daemon mode).

-E  Sends all the log messages to stderr.

-T  Disables TCP support.

-V  Displays the version number.

-f config-file
    Reads the configuration from config-file (default /etc/ser/ser.cfg ).

-l address
    Listens on the specified address/interface. Multiple -l mean listening on multiple addresses. The address format is [proto:]address[:port], where proto = udp|tcp and address = host|ip_address|interface_name. Example: -l localhost, -l udp:127.0.0.1:5080, -l eth0:5062. The default behaviour is to listen on all the ipv4 interfaces.

-n processes-no
    Specifies the number of children processes forked per interface (default 8).

-N tcp processes-no
    Specifies the number of children processes forked to handle tcp incoming connections (by default is equal to -n ).

-b max_rcv_buf_size
    Maximum receive buffer size which will not be exceeded by the auto-probing procedure even if the OS allows.

-m shared_mem_size
    Size of the shared memory which will be allocated (in Megabytes).

-w working-dir
    Specifies the working directory. In the very improbable event that ser will crash, the core file will be generated here.

-t chroot-dir
    Forces ser to chroot after reading the config file.

-u uid
    Changes the user id under which ser runs.

-g gid
    Changes the group id under which ser runs.

-P pid-file
    Creates a file containing the pid of the main ser process.

-i fifo-path
    Creates a fifo, usefull for monitoring ser status.

-x socket-path
    Creates a unix socket, usefull for monitoring ser status ( same as -i fifo-path but using instead unix sockets).

FILES
/usr/sbin/ser
/etc/ser/ser.cfg
/usr/lib/ser/modules/*

AUTHORS
see /usr/share/doc/ser/AUTHORS

SEE ALSO
ser.cfg(5)

Full documentation on ser, including configuration guidelines, FAQs and licensing conditions, is available at http://www.iptel.org/ser/.

For reporting bugs see http://www.iptel.org/ser/bugs/.

Mailing lists:
serusers@iptel.org - ser user community
serdev@iptel.org - ser development, new features and unstable version